Create beneficiary for a plan Run in API Explorer
Ask AI
POST
/api/v1/plans/{plan_uuid}/beneficiary
curl \
--request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/beneficiary' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"John Smith","percentage":50.25}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "John Smith",
"percentage": 50.25
}
Response examples (201)
{
"uuid": "dbc68b41-e199-416c-b38c-1624f8d22466",
"created_at": "2026-04-29T12:53:00+01:00",
"updated_at": "2026-04-29T12:53:00+01:00",
"name": "Beneficiary name",
"percentage": 50,
"cover": {
"uuid": "5b7cdc26-68c8-455e-82e6-cc2a73bc53e5",
"created_at": "2026-04-29T12:53:00+01:00",
"updated_at": "2026-04-29T12:53:00+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"indexation": 1.4,
"client": "App\\Http\\Resources\\AccountResource"
}
}